﻿using Ant.Core.WebApi.Model;
using Central.Control.WebApi.Models.Request;
using Central.Control.WebApi.Models.Response;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Central.Control.WebApi.Service.Interface
{
    /// <summary>
    /// 
    /// </summary>
    public interface IOrderService
    {
        /// <summary>
        /// 下单
        /// </summary>
        /// <param name="req"></param>
        /// <returns></returns>
        ApiResult<OrderResponseDto> Order(OrderRequestDto req);

        /// <summary>
        /// 获取待烧烤的商品列表
        /// <returns></returns>
        ApiResult<List<QueueOrderResponseDto>> GetQueueOrders();

        /// <summary>
        /// 回写流程状态
        /// </summary>
        /// <param name="req"></param>
        /// <returns></returns>
        ApiResult OrderProcess(OrderProcessRequestDto req);

        /// <summary>
        /// 支付回写（雏形，需要根据实际需要接入支付宝或微信）
        /// </summary>
        /// <param name="req"></param>
        /// <returns></returns>
        ApiResult PayWriteBack(PayWriteBackRequestDto req);
    }
}
